CVE-2015-3332

NameCVE-2015-3332
DescriptionA certain backport in the TCP Fast Open implementation for the Linux kernel before 3.18 does not properly maintain a count value, which allow local users to cause a denial of service (system crash) via the Fast Open feature, as demonstrated by visiting the chrome://flags/#enable-tcp-fast-open URL when using certain 3.10.x through 3.16.x kernel builds, including longterm-maintenance releases and ckt (aka Canonical Kernel Team) builds.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, GitHub advisories/code/issues, web search, more)
Debian Bugs782515

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
linux (PTS)bullseye5.10.218-1fixed
bullseye (security)5.10.221-1fixed
bookworm6.1.94-1fixed
bookworm (security)6.1.90-1fixed
trixie6.9.8-1fixed
sid6.9.9-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
linuxsourcewheezy(not affected)
linuxsourcejessie3.16.7-ckt9-3~deb8u1
linuxsource(unstable)3.16.7-ckt9-3782515
linux-2.6source(unstable)(not affected)

Notes

[wheezy] - linux <not-affected> (TCP Fast Open introduced in v3.6-rc1)
- linux-2.6 <not-affected> (TCP Fast Open introduced in v3.6-rc1)
https://www.openwall.com/lists/oss-security/2015/04/14/14
http://thread.gmane.org/gmane.linux.network/359588

Search for package or bug name: Reporting problems